Built LMS Help Center
API Reference and PlaygroundCourse BuilderGrading Queue

POST Submit grade with feedback

Submit final grade for a manual grading task including points awarded, feedback, and rubric scores

POST
/grading-queue/{id}/grade

Submit final grade for a manual grading task including points awarded, feedback, and rubric scores

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Path Parameters

id*string

Grading queue item ID

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/grading-queue/{id}/grade" \  -H "Content-Type: application/json" \  -d '{    "points_awarded": 1,    "grader_feedback": "Example grader feedback",    "graded_response": {      "rubric_scores": [        {          "criterion_id": "{criterion_id}",          "level_id": "{level_id}",          "score": 1,          "weight": 1,          "feedback": "Example feedback"        }      ],      "calculated_score": 1,      "grader_notes": "Example grader notes",      "flags": [        "Example flags item"      ]    }  }'
{  "data": {    "id": "{id}",    "points_awarded": 0,    "grader_feedback": "string",    "graded_response": {      "rubric_scores": [        {          "criterion_id": "{criterion_id}",          "level_id": "{level_id}",          "score": 0,          "weight": 0,          "feedback": "string"        }      ],      "calculated_score": 0,      "grader_notes": "string",      "flags": [        "string"      ],      "property1": "string",      "property2": "string"    },    "status": "string",    "graded_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  },  "meta": {    "organizationId": "{organizationId}",    "rls_validated": true  }}